Bug 701811

Summary: Review Request: vo-aacenc - VisualOn AAC encoder library
Product: [Fedora] Fedora Reporter: PRABIN KUMAR DATTA <linux.n.pkd>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mnowak, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-09 08:50:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description PRABIN KUMAR DATTA 2011-05-03 23:00:22 UTC
Spec URL: http://prabindatta.fedorapeople.org/SPECS/vo-aacenc.spec
SRPM URL: http://prabindatta.fedorapeople.org/SRPMS/vo-aacenc-0.1.0-1.fc14.src.rpm
Description: 
This library contains an encoder implementation of the Advanced 
Audio Coding (AAC) audio codec. The library is based on a codec 
implementation by VisualOn as part of the Stagefright framework 
from the Google Android project

Comment 1 PRABIN KUMAR DATTA 2011-05-03 23:07:14 UTC
Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3048713

Comment 2 Michal Nowak 2011-05-04 13:33:39 UTC
I thought AAC is patent encumbered, doesn't it?

Comment 3 PRABIN KUMAR DATTA 2011-05-08 21:23:05 UTC
Upstream Comment on FE-Legal issue:

vo-aacenc is one library implementing an AAC encoder, libfaac
is another. The patents don't cover any particular implementation -
they're essential to implementing the standard and thus cover all
implementations.

So there can not be any implementations of AAC (nor AMR-WB) that isn't
covered by patents.

Copyrightwise, however, they are proper opensource, contrary to some
earlier AAC and AMR-WB libraries, which were either totally
unredistributable (libamr) or that have dubious origin and thus aren't
considered properly redistributable either.

Comment 4 Michal Nowak 2011-05-09 08:50:45 UTC
Closing this bug then. Perhaps you may consider packaging vo-aacenc in RPMFusion or other third-party repo.

Comment 5 PRABIN KUMAR DATTA 2011-05-09 15:51:10 UTC
Submitted in rpmfusion:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=1742